<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
  <html>
<!-- business-013 -->
    <head>
      <link href="css/styles.css" rel="stylesheet" type="text/css"/>
      <title>
        <xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
      </title>
      <xsl:apply-templates select="META-TAGS"/>
    </head>
    <body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url(images/bg.gif);">
	<tr>
		<td style="padding: 37px 28px 37px 28px;">
	      <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%" style="background-color: white">
	        <tr>
	          <td width="100%" height="72px" style="padding-top:26px; padding-bottom:18px;padding-right:20px;padding-left:20px" align="left">
	            <!--TOP MENU-->
	            <table border="0" cellpadding="0" cellspacing="0">
	              <tr>
	                <xsl:call-template name="TOP-MENU"/>
	              </tr>
	            </table>
	            <!--TOP MENU-->
	          </td>
	        </tr>
	        <tr>
	          <td width="100%" height="3px" style="background-image: url(images/hr1.jpg)">
	          </td>
	        </tr>
	        <tr>
	          <td width="100%" height="268px">
	            <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
	              <tr>
	                <td width="56px" height="100%" style="background-image: url(images/xeug-40_06.jpg); vertical-align: top; ">
	                  <div style="width: 56px">
	                  </div>
	                </td>
	                <td width="100%" height="100%" style="background-image: url(images/xeug-40_06.jpg); vertical-align: top; ">
	                  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" align="right">
	                    <tr>
	                    <td width="100%" height="100%" style="background-image: url(images/xeug-40_07.jpg); background-repeat:no-repeat;background-position:right; padding-top:20px; padding-bottom:20px" align="right">
	                      <!--LOGO-->
	                      <table border="0" cellpadding="0" cellspacing="0">
	                        <tr>
	                          <td valign="top" align="right" style="padding-right:10px">
	                            <a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a>
	                          </td>
	                          <td class="company" style="text-align: left;padding-right:5px;padding-left:5px" valign="top">
	                            <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
	                          </td>
	                          <td>
	                            <img src="images/logohr.jpg" />
	                          </td>
	                          <td valign="top" style="padding-left: 10px"><img src= "images/sogln.gif" ></img></td>
	                          <td class="slogan" style="text-align: left;padding-right:5px;padding-left:5px" valign="top">
	                            <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
	                          </td>
	                        </tr>
	                      </table>
	                      <!--END LOGO-->
	                      <div style="width: 403px">
	                      </div>
	                    </td>
	                    </tr>
	                  </table>  
	                </td>
	                <td width="265px" height="100%" style="vertical-align: top; background-image: url(images/xeug-40_08.jpg);">
	                  <div style="width: 265px">
	                  </div>
	                </td>
	              </tr>
	            </table>
	          </td>
	        </tr>
	        <tr>
	          <td width="100%" height="100%" style="background-image: url(images/xeug-40_09.jpg); background-position: top; background-repeat: repeat-x;" class="content-bg">
	            <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
	              <tr>
	                <td height="100%" width="241px" style="vertical-align: top; padding-left:31px; padding-right:30px; padding-top:26px" >
	                  <div style="width: 175px">
	                  </div>
	                  <!--SUB MENU-->
	                  <table border="0" cellpadding="0" cellspacing="0" width="100%">
	                    <xsl:call-template name="SUB-MENU">
	                      <xsl:with-param name="pageID" select="@ID"/>
	                    </xsl:call-template>
	                  </table>
	                  <!--END SUB MENU-->
	                </td>
	                <td height="100%" width="1px">
	                  <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
	                    <tr>
	                      <td width="1px" height="15px" style="vertical-align: top; background-image: url(images/1.jpg); background-position-y: top; background-repeat: no-repeat;">
	                        <div style="width: 1px">
	                        </div>
	                      </td>
	                    </tr>
	                    <tr>
	                      <td width="1" height="100%" style="vertical-align: bottom; background-image: url(images/2.jpg);background-repeat: no-repeat; background-color: #959595;">
	                        <div style="width: 1x; height: 100px">
	                        </div>
	                      </td>
	                    </tr>
	                    <tr>
	                      <td width="1px" height="11px" style="vertical-align: top; background-image: url(images/3.jpg);">
	                        <div style="width: 1px">
	                        </div>
	                      </td>
	                    </tr>
	                  </table>
	                </td>
	                <td height="100%" width="100%" style="vertical-align: top; padding-left:40px; padding-right:20px;padding-top:29px" class="pageContent " name="SB_stretch">
	                  <table border="0" cellpadding="0" cellspacing="0">
	                    <tr>
	                      <td class="text-header">
	                        <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	                      </td>
	                      <td style="padding-left:11px" align="bottom">
	                        <img src="images/content.gif" />
	                      </td>
	                    </tr>
	                  </table>
	                  <div style="width: 422px; height: 15px;"></div>
	                  <xsl:apply-templates select="PAGE-CONTENT"/>
	                </td>
	              </tr>
	            </table>
	          </td>
	        </tr>
	        <tr>
	          <td width="100%" height="8px" style="background-image: url(images/hr2.jpg)">
	          </td>
	        </tr>
	        <tr>
	          <td width="100%" height="70px" style="background-position: left bottom; background-image: url(images/xeug-40_11.jpg); background-repeat: no-repeat; padding-right:30px" align="center">
	            <table border="0" cellpadding="0" cellspacing="0" width="100%" style="text-align: right;">
	              <tr>
	                <td class="footer ">
	                  <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
	                </td>
	              </tr>
	            </table>
	          </td>
	        </tr>
	      </table>
		</td>
	</tr>
</table>
    </body>
  </html>


</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
      <tr>
        <td width="100%" height="34px" style="padding-top:2px; padding-bottom:3px" >
          <table border="0" cellpadding="0" cellspacing="0" width="100%" height="29px">
            <tr>
              <td height="3px" width="11px" style="background-image: url(images/s1.jpg)">
              </td>
              <td width="146px" height="3px"  class="sub-bg">
              </td>
              <td width="6" height="3" class="sub-bg"></td>
              <td width="10px" height="3px" style="background-image: url(images/s4.jpg)">
              </td>
            </tr>
            <tr>
              <td height="100%" width="11px" style="background-image: url(images/s2.jpg)">
              </td>
              <td width="146px" height="100%" class="sub-bg asubmenu" style="padding-top: 2px">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </td>
              <td width="6" height="24" style="background-image: url(images/sub2.jpg); background-position: center; background-repeat: no-repeat;" class="sub-bg"></td>
              <td width="10px" height="100%" style="background-image: url(images/s5.jpg)">
              </td>
            </tr>
            <tr>
              <td height="2px" width="11px" style="background-image: url(images/s3.jpg)">
              </td>
              <td width="146px" height="2px"  class="sub-bg">
              </td>
              <td width="6" height="2" class="sub-bg"></td>
              <td width="10px" height="2px" style="background-image: url(images/s6.jpg)">
              </td>
            </tr>
          </table>
        </td>
      </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
        <tr>
          <td width="100%" height="34px" style="padding-top:2px; padding-bottom:3px">
            <table border="0" cellpadding="0" cellspacing="0" width="100%" height="29px" >
              <tr>
                <td width="156px" height="29px" style="padding-left:12px;padding-top:5px">
                  <a href="{@HREF}" class="asubmenu">
                    <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                  </a>
                </td>
                <td width="17px" height="29px">
                  <a href="{@HREF}">
                    <img src="images/sub1.gif" border="0"/>
                  </a>
                </td>
              </tr>
            </table>
          </td>
        </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
    <tr>
      <td width="100%" height="1px" style="background-image: url(images/subhr.jpg)"><div style="height: 1px;"><span></span></div></td>
    </tr>
	</xsl:if>
</xsl:template>	


<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

