﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- business-015 -->
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td height="267" align="left" valign="top" background="images/headerbg.jpg">
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/header.jpg);background-repeat: no-repeat;background-position: right top;">
      <tr>
        <td align="left" valign="middle"><table width="65%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="106" rowspan="2" align="right" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
            <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="57" align="left" valign="top" background="images/tmenubg.gif">
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/tmenu1.gif);background-repeat: no-repeat;background-position: left top;">
      <tr>
        <td width="150"><img src="images/space.gif" width="150" height="1" /></td>
        <td align="center"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="20"><img src="images/space.gif" width="20" height="8" /></td>
            <td><xsl:call-template name="TOP-MENU"/></td>
            <td width="20"><img src="images/space.gif" width="20" height="1" /></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td width="100%" height="100%" align="left" valign="top" background="images/bg.gif"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="271" align="center" valign="top" style="background-image: url(images/left.gif);background-repeat: no-repeat;background-position: left top;"><img src="images/space.gif" width="271" height="30" />
          <table width="60%"  border="0" cellspacing="0" cellpadding="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
          </table></td>
        <td width="1" align="left" valign="top" background="images/bgline.gif"><img src="images/space.gif" width="1" height="30" /></td>
        <td class="pageContent" width="100%" height="100%" align="left" valign="top" style="background-image: url(images/right.gif);background-repeat: no-repeat;background-position: right bottom;padding: 51px;">
		<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" >
          <tr>
            <td width="20" height="17"><img src="images/text_icon.gif" width="13" height="13" /></td>
            <td width="100%" align="left" class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          </tr>
          <tr align="left" valign="top">
            <td height="100%" colspan="2" name="SB_stretch" style="padding-left:16px;padding-top:16px;" class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></td>
            </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="60" align="center" valign="top"><img src="images/space.gif" width="780" height="10" /><br/>
      <table width="100%" height="50"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="271" align="left" valign="middle" class="copyright"><img src="images/space.gif" width="271" height="1" />
		<br /><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
        <td width="1" bgcolor="#dedede"><img src="images/space.gif" /></td>
        <td width="100%" align="center" valign="middle"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="20"><img src="images/space.gif" width="20" height="8" /></td>
            <td><xsl:call-template name="BOTTOM-MENU"/></td>
            <td width="20"><img src="images/space.gif" width="20" height="8" /></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td class="smenu"><span class="smenub">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
<td width="15"><img src="images/subicon.gif" width="8" height="7"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td class="smenu">
<a href="{@HREF}" class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td width="15"><img src="images/subicon.gif" width="8" height="7"/></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	<tr>
	<td height="14" colspan="2" align="right"><img src="images/subline.gif" width="176" height="14"/></td>
    </tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		<td style="padding-left:25px;padding-right:25px;"><a href="{@HREF}" class="menu1" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		<td style="padding-left:25px;padding-right:25px;"><a href="{@HREF}" class="menu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		<td width="1" align="center" bgcolor="#777777"><img src="images/space.gif" width="1"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
