<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- business-016 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td width="78" height="78" background="images/bus_05.jpg"><img src="images/bus_01.jpg" width="78" height="78" alt="" /></td>
      <td width="233" height="78" align="center" bgcolor="#ff6600" style="padding: 10px; ">
<!--LOGO -->
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="30" rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
          <td width="150" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
        </tr>
        <tr>
          <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
        </tr>
      </table>
<!-- END LOGO -->
</td>
      <td width="100%" align="left" bgcolor="#ff6600" style="padding: 10px; ">
<!-- MENU -->
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
		<xsl:call-template name="TOP-MENU"/>
        </tr>
      </table>
<!-- END MENU -->
	  </td>
      <td width="80" background="images/bus_05.jpg"><img src="images/bus_04.jpg" width="79" height="78" alt="" /></td>
    </tr>
    <tr>
      <td height="100%" rowspan="3" valign="top" background="images/bus_05.jpg"></td>
      <td width="233" height="200"><img src="images/bus_06.jpg" width="233" height="200" alt="" /></td>
      <td align="left" height="200" background="images/bus_08.jpg"><img src="images/header.jpg" width="312" height="200" alt="" /></td>
      <td rowspan="2" background="images/bus_09.jpg"></td>
    </tr>
    <tr>
      <td height="100%" align="center" valign="top" width="233" >
	<!-- SUBMENU -->
	  <table width="170" border="0" cellspacing="0" cellpadding="0">
	    <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
      </table>
	<!-- END SUBMENU -->
	  </td>
      <td rowspan="2" align="left" width="100%" height="100%" valign="top" background="images/bus_05.jpg"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td height="35" align="left" valign="top" background="images/bus_12.jpg"><img src="images/bus_11.jpg" width="312" height="35" alt="" /></td>
        </tr>
        <tr>
          <td style="padding: 15px; height: 100%; vertical-align: top;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/bus_25.jpg" width="18" height="19"/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100">
	   		  <tr><td valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		  </tr></table>
			<!-- END CONTENT -->
          </td>
        </tr>
      </table></td>
    </tr>
    <tr>
      <td height="30" background="images/bus_05.jpg"><img src="images/fff.gif" width="1" height="30" /></td>
      <td background="images/bus_19.jpg"></td>
    </tr>
    <tr>
      <td colspan="4" bgcolor="#D7D7D7"><img src="images/fff.gif" width="1" height="1" /></td>
    </tr>
    <tr>
      <td><img src="images/fff.gif" width="78" height="80" /></td>
      <td height="75" align="center" style="background-image: url(images/bg.gif);
	background-repeat: no-repeat;
	background-position: center center;">
<!-- FOOTER -->
  <div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
<!-- END FOOTER -->
	</td>
      <td align="center">
<!-- BOTTOM MENU -->
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
		 <xsl:call-template name="BOTTOM-MENU"/>
        </tr>
      </table>
<!-- BOTTOM MENU -->
	  </td>
      <td></td>
    </tr>
  </table>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
          <td width="170" class="asubmenu" style="padding: 7px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          <td width="20"><img src="images/bus_15.jpg" width="12" height="7" alt="" /></td>
        </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
        <tr>
          <td width="170" style="padding: 7px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          <td width="20"><img src="images/bus_15.jpg" width="12" height="7" alt="" /></td>
        </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
     <tr>
        <td colspan="2"><img src="images/bus_21.jpg" width="165" height="8" alt="" /></td>
     </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        <td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
        <td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
          <td width="20" align="center" class="bmenu">|</td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
