<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- business-020 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" style="background-image: url('images/main_bg.gif');">
<table border="0" cellspacing="0" cellpadding="0" style="width:100%;height:100%;background-image: url('images/txt_bg.gif');">
  <tr>
    <td height="56" align="left" valign="top"  style="background-image: url('images/main_bg.gif');"><table width="100%" border="0" cellspacing="0" cellpadding="0" >
      <tr>
        <td width="30"><div style="height:42px;width:30px;"></div></td>
        <td align="left" valign="top"><!-- MENU --><table border="0" cellspacing="0" cellpadding="0">
            <tr><xsl:call-template name="TOP-MENU"/>

            </tr>
        </table><!-- END MENU --></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" align="left" valign="top" style="background-image: url('images/header_bg.jpg');background-position: left top;background-repeat: repeat-x;"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0"  style="background-image: url('images/header.jpg');background-position: left top;background-repeat: no-repeat;">
      <tr>
        <td height="40" colspan="2" align="right" valign="top"></td>
        <td height="40" valign="top"></td>
      </tr>
	  <tr>
        <td width="10" height="40" align="right" valign="top"><div style="height:25px;width:10px;"></div></td>
        <td width="228" height="100%" align="right" valign="top" style="background-image: url('images/submenu_bg.gif');background-repeat: repeat;"><table width="228" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="150" align="center" valign="middle" style="background-image: url('images/logo_bg.gif');background-repeat: repeat;">
              <!-- LOGO -->
            
              <table width="200" cellpadding="0" cellspacing="0">
              <tr>
                <td width="60" rowspan="2" align="center" valign="middle" style="padding-right:15px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</td>
                <td height="30" align="left" valign="bottom" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
              </tr>
              <tr>
                <td height="30" align="left" valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table>
             
              <!-- END LOGO --></td>
          </tr>
          <tr>
            <td height="100%" align="center" style="padding-top:20px;" valign="top"><!-- SUBMENU -->
			<table width="185" border="0" cellspacing="0" cellpadding="0">
             <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>

            </table><!-- END SUBMENU --><div style="height:20px;width:15px;"></div></td>
          </tr>
        </table></td>
        <td valign="top"><div style="height:190px;width:240x;"></div>
          <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td align="left" valign="top" class="pageContent_table"><!-- CONTENT -->
                  <table cellpadding="0" cellspacing="0" border="0">
                    <tr>
                      <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                      <td class="text-header" style="padding-left:10px;"><img src="images/txtheader_bullet.gif"/></td>
                    </tr>
                  </table>
<br/>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
<!-- END CONTENT --></td>
            </tr>
          </table></td>
      </tr>
      
    </table></td>
  </tr>
  <tr>
    <td height="30" align="center" valign="bottom" bgcolor="#FCFEFC"  style="background-image: url('images/txt_botline.gif');background-position:top;background-repeat: repeat-x;"><!-- BOTTOM MENU --><table border="0" cellpadding="0" cellspacing="0">
              <tr><xsl:call-template name="BOTTOM-MENU"/>

              </tr>
            </table>
    <!-- END BOOTTOM MENU --></td>
  </tr>
  <tr>
    <td height="50" align="center"  style="background-image: url('images/main_bg.gif');"> <div style="height:20px;width:780px;"></div>
      <!-- FOOTER -->
        <div align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
</div>
    <!-- END FOOTER -->
    <div style="height:20px;width:780px;"></div></td>
  </tr>
</table>
</BODY>

	</html>
</xsl:template>

<!-- TOP-MENU-->
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>
<!-- END TOP-MENU-->


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<!-- SUB-MENU-->	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	<xsl:when test="@ID=/LAYOUT/@ID" >
	
	  <!-- sub-menu without link-->	
      <tr>
                <td height="20" valign="top" class="submenutable" style="background-image: url('images/submenu_bgbullet.gif');background-position: bottom;background-repeat: no-repeat;"><span class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
              </tr>
	  <!--end-->
	  
		
	</xsl:when>
	<xsl:otherwise>
	<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	
	  <!--sub-menu with link-->
	  <tr>
                <td height="20" valign="top" class="submenutable" style="background-image: url('images/submenu_bgbullet.gif');background-position: bottom;background-repeat: no-repeat;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</a></td>
              </tr>
	  <!--end-->
	  
	  
	</xsl:if>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	 
	  <!-- sub-menu no last-->
 	  <!--end-->
	  
	
</xsl:if>
</xsl:template>	
<!--END SUB-MENU-->


<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>


<!-- BOTTOM-MENU-->		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
	   
		<!-- bottom-menu with link-->
        <td align="center" valign="bottom" ><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<!--end-->
		
		
        </xsl:when>
		
	    <xsl:otherwise>
		  
		<!-- bottom-menu click link-->  
        <td align="center" valign="bottom" ><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<!--end-->
		
		
		</xsl:otherwise>
        </xsl:choose>
	    <xsl:if test="position()!=last()">
		
		<!-- bottom-menu no last-->
        <td width="30" align="center" valign="bottom" class="iconfoot" ><img src="images/botmenu_bullet.gif"/></td>
		<!--end-->
		
		</xsl:if>
</xsl:template>
<!--END BOTTOM-MENU-->
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
