<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- business-021 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" summary="" class="main-bg" style="width: 100%; height: 100%; background-image: url('images/lbg.gif'); background-position: left; background-repeat: repeat-y;">
	<tr>
		<td style="background-image: url('images/header_bg.gif'); background-position: top left; background-repeat: repeat-x;">
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" style="width: 100%; height: 100%; background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;" summary="">
	<TR valign="top">
		<TD height="100%" name="SB_stretch"><div style="width:64px; height:0px;"><span></span></div></TD>
		<TD>
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 224px; height: 112px; background-color: #FAFAFA; ">
				<tr>
					<td style="padding: 5px;">
						<!-- LOGO -->
						<table cellpadding="0" cellspacing="0" border="0" summary="">
							<tr>
								<td style="padding-right: 5px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
								<td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
							</tr>
						</table>
						<!-- END LOGO -->
					</td>
				</tr>
			</table>
			<div style="width:0px; height:19px;"><span></span></div>
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 224px; height: 235px; background-color: #FAFAFA; ">
				<tr>
					<td style="padding: 15px;">
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" align="center" summary="">
							<xsl:call-template name="TOP-MENU"/>
						</table>
						<!-- END MENU -->
					</td>
				</tr>
			</table>
			<div style="width:0px; height:19px;"><span></span></div>
			<!-- SUBMENU -->
			<table cellpadding="0" cellspacing="0" width="143" align="center" summary="">
				<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
			</table>
			<!-- END SUBMENU -->
		</TD>
		<TD width="100%" class="pageContent" style="padding: 0 30px 30px 30px;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 70px;">
				<tr>
					<td align="right" class="slogan" style="padding: 5px 0;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
				</tr>
			</table>
			<div style="width:0px; height:300px;"><span></span></div>
			<table cellpadding="0" cellspacing="0" border="0" summary="">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 10px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
				</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
			<!-- CONTENT -->
			<xsl:apply-templates select="PAGE-CONTENT"/>
			<!-- END CONTENT -->
		</TD>
	</TR>
	<TR>
		<TD colspan="3" height="71" style="background-image: url('images/footer_bg.gif'); background-repeat: repeat;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/footer_l.gif'); background-repeat: no-repeat;">
				<tr>
					<td><div style="width:63px; height:0px;"><span></span></div></td>
					<td class="footer" align="center">
						<!-- FOOTER -->
						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
						<!-- END FOOTER -->
						<div style="width:222px; height:0px;"><span></span></div>
					</td>
					<td width="100%">
						<!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center" summary="">
							<tr>
								<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
								<xsl:call-template name="BOTTOM-MENU"/>
								<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>

							</tr>
						</table>
						<!-- END BOOTTOM MENU -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
		</td>
	</tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
				<tr>
					<td style="padding-right: 13px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
					<td class="asubmenu" style="width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-right: 13px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
					<td style="width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td></td><td height="15"><div style="height:1px; background-color: #FFFFFF; background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}"><img src="images/bmenu_bullet.gif" border="0" alt=""/></a></td>
			<td width="5"></td>
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
				<td><a href="{@HREF}"><img src="images/bmenu_bullet.gif" border="0" alt=""/></a></td>
				<td width="5"></td>
				<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
